import { getConfigList } from '@/api/system'

const system = {
  state: {
    configList: {},
  },
  mutations: {
    setConfigList(state, list) {
      const obj = {}

      list.forEach(n => {
        obj[n.paramCode] = n;
      })

      state.configList = obj
    }
  },
  actions: {
    async fetchConfigList({commit, state}) {
      try {
        const data = await getConfigList()

        commit('setConfigList', data)
      } catch (err) {

      }
    }
  }
}

export default system